# Uses of Class
org.apache.lucene.facet.rangeonrange.Range

Packages that use Range
Package
Description
org.apache.lucene.facet.rangeonrange
Provides range on range faceting capabilities.

- ## Uses of Range in org.apache.lucene.facet.rangeonrange

  Subclasses of Range in org.apache.lucene.facet.rangeonrange
  Modifier and Type
  Class
  Description
  `class`
  `DoubleRange`
  Represents a double range for RangeOnRange faceting
  `class`
  `LongRange`
  Represents a long range for RangeOnRange faceting
  Methods in org.apache.lucene.facet.rangeonrange with parameters of type Range
  Modifier and Type
  Method
  Description
  `protected static String[]`
  Range.`getLabelsFromRanges(Range[] ranges)`
  Gets a corresponding array of labels given a range